function [Active_set, sum_alpha]= add_active_y(Active_set, i, y)
num_act = Active_set(i).num_active;
if num_act <  Active_set(i).max_size
    Active_set(i).num_active = Active_set(i).num_active + 1;
    Active_set(i).label(Active_set(i).num_active,:) = y;
    sum_alpha = sum(Active_set(i).alpha(1:Active_set(i).num_active));
else
    sum_alpha = 0;
end